Main Page Class Hierarchy Data Structures File List Data Fields Globals

# H324MConfigInterface Class Reference

`#include <tsc_h324m_config_interface.h>`

## Public Methods
virtual void | SetObserver (H324MConfigObserver *aObserver)=0
virtual PVMFCommandId | SetMultiplexLevel (TPVH223Level aLevel, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetMaxSduSize (TPVAdaptationLayer aLayer, int32 aSize, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetMaxSduSizeR (TPVAdaptationLayer aLayer, int32 aSize, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetCodecPreference (Oscl_Vector< PVMFFormatType, OsclMemAllocator > &aIncomingAudio, Oscl_Vector< PVMFFormatType, OsclMemAllocator > &aIncomingVideo, Oscl_Vector< PVMFFormatType, OsclMemAllocator > &aOutGoingAudio, Oscl_Vector< PVMFFormatType, OsclMemAllocator > &aOutGoingVideo, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetFormatSpecificInfo (PVMFFormatType aMediaFormat, const uint8 *apFormatSpecificInfo, uint32 aFormatSpecificInfoLen, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetAl2SequenceNumbers (int32 aSeqNumWidth, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetAl3ControlFieldOctets (int32 aCfo, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetMaxPduSize (int32 aMaxPduSize, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetTerminalType (uint8 aTerminalType, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetALConfiguration (TPVMediaType_t aMediaType, TPVAdaptationLayer aLayer, bool aAllow, bool aUse=true, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SendRme (OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetMaxMuxPduSize (int32 aRequestMaxMuxPduSize, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetMaxMuxCcsrlSduSize (int32 aMaxCcsrlSduSize, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | FastUpdate (PVMFNodeInterface &aTrack, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SendRtd (OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetVendor (uint8 cc, uint8 ext, uint32 mc, const uint8 *aProduct, uint16 aProductLen, const uint8 *aVersion, uint16 aVersionLen, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SendEndSession (OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetEndSessionTimeout (uint32 aTimeout, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetTimerCounter (TPVH324TimerCounter aTimerCounter, uint8 aSeries, uint32 aSeriesOffset, uint32 aValue, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetVideoResolutions (TPVDirection aDirection, Oscl_Vector< PVMFVideoResolutionRange, OsclMemAllocator > &aResolutions, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SendVendorId (OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SendVideoTemporalSpatialTradeoffCommand (TPVChannelId aLogicalChannel, uint8 aTradeoff, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SendVideoTemporalSpatialTradeoffIndication (TPVChannelId aLogicalChannel, uint8 aTradeoff, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SendLogicalChannelActiveIndication (TPVChannelId aLogicalChannel, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SendLogicalChannelInactiveIndication (TPVChannelId aLogicalChannel, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SendSkewIndication (TPVChannelId aLogicalChannel1, TPVChannelId aLogicalChannel2, uint16 aSkew, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetLogicalChannelBufferingMs (uint32 aInBufferingMs, uint32 aOutBufferingMs, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SendUserInput (CPVUserInput *user_input, OsclAny *aContextData=NULL)=0
virtual PVMFCommandId | SetWnsrp (const bool aEnableWnsrp, OsclAny *aContextData=NULL)=0

## Member Function Documentation

virtual PVMFCommandId H324MConfigInterface::FastUpdate | ( | PVMFNodeInterface & | aTrack,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API may be called only after the media source has been successfully added to the pv2way engine. It causes the 2way engine to immediately send out a fast update frame specific to the media type identified by the aTrack parameter. Parameters:
  aContextData | Optional opaque data that will be passed back to the user with the command response
  aTrack | The identifier for the track
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SendEndSession | ( | OsclAny * | aContextData = NULL | ) | `[pure virtual]`

  | Sends an end session command to the peer. Only to be used for testing purposes. Parameters:
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SendLogicalChannelActiveIndication | ( | TPVChannelId | aLogicalChannel,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

| This API allows the user to send a logicalChannelActive indication to the peer. It is an indication to the peer that the channel that was paused and for which it received logicalChannelInactive indication is now ready to send data on the channel defined by Logical channel Id

virtual PVMFCommandId H324MConfigInterface::SendLogicalChannelInactiveIndication | ( | TPVChannelId | aLogicalChannel,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

| This API allows the user to send a logicalChannelInactive indication to the peer. It is an indication to the peer that the channel has been paused the channel and will not send any data on the channel defined by Logical channel Id

virtual PVMFCommandId H324MConfigInterface::SendRme | ( | OsclAny * | aContextData = NULL | ) | `[pure virtual]`

  | This API allows the user to specify whether Request Multiplex Entry is sent to the remote terminal after TCS Parameters:
  aSendRme | If true, RME is sent to the peer after TCS
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SendRtd | ( | OsclAny * | aContextData = NULL | ) | `[pure virtual]`

  | Sends a Round Trip Determination message to the peer and indicates the round trip delay to the caller on completion of the command. The round trip delay is stored in 4 bytes in the local buffer of the completion event in network byte order. Parameters:
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SendSkewIndication | ( | TPVChannelId | aLogicalChannel1,
|  | TPVChannelId | aLogicalChannel2,
|  | uint16 | aSkew,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

| This API allows the user to send a SkewIndication to the peer. Skew is measured in milliseconds, and indicates the maximum number of milliseconds that the data on logicalChannel2 is delayed from the data on logicalChannel1 as delivered to the network transport.

virtual PVMFCommandId H324MConfigInterface::SendUserInput | ( | CPVUserInput * | user_input,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | Causes the pv2way to send the specified user input to the remote terminal using control channel. The user input can be either DTMF ot Alphanumeric Parameters:
  user_input | A pointer to either CPVUserInputDtmf or CPVUserInputAlphanumeric
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SendVendorId | ( | OsclAny * | aContextData = NULL | ) | `[pure virtual]`

| This API allows the user to send the vendor id info to the peer. Note: Calling this API during call-setup negotiations can affect the time for call-setup adversely.

virtual PVMFCommandId H324MConfigInterface::SendVideoTemporalSpatialTradeoffCommand | ( | TPVChannelId | aLogicalChannel,
|  | uint8 | aTradeoff,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

| This API allows the user to send a videoTemporalSpatialTradeOff command to the peer. It is a request to the remote encoder to adjust its encoding in accordance with the tradeoff value. A value of 0 indicates a high spatial resolution and a value of 31 indicates a high frame rate. The values from 0 to 31 indicate monotonically a higher frame rate. Actual values do not correspond to precise values of spatial resolution or frame rate.

virtual PVMFCommandId H324MConfigInterface::SendVideoTemporalSpatialTradeoffIndication | ( | TPVChannelId | aLogicalChannel,
|  | uint8 | aTradeoff,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

| This API allows the user to send a videoTemporalSpatialTradeOff command to the peer. It is an indication to the remote decoder that the local encoder has adjusted its encoding parameters according to the tradeoff value. A value of 0 indicates a high spatial resolution and a value of 31 indicates a high frame rate. The values from 0 to 31 indicate monotonically a higher frame rate. Actual values do not correspond to precise values of spatial resolution or frame rate.

virtual PVMFCommandId H324MConfigInterface::SetAl2SequenceNumbers | ( | int32 | aSeqNumWidth,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API allows the user to specify the sequence number field for AL2 Parameters:
  aSeqNumWidth | The number of octets to use for AL2 sequence numbers. Allowed values are 0, 1.
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SetAl3ControlFieldOctets | ( | int32 | aCfo,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API allows the user to specify the control field octets field for AL3 Parameters:
  aCfo | The number of octets to use for AL3 CFO. Allowed values are 0, 1, 2.
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SetALConfiguration | ( | TPVMediaType_t | aMediaType,
|  | TPVAdaptationLayer | aLayer,
|  | bool | aAllow,
|  | bool | aUse = true,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API allows the user to specify the allowable adaptation layers for audio and video. By default AL2 is allowed for audio and AL2, AL3 are allowed for video Parameters:
  aMediaType | The media type, i.e audio, video, data
  aLayer | The adaptation layer
  aAllow | Is this adaptation layer allowed for this media type ?
  aUse | Is this adaptation layer used for video media type ?
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SetCodecPreference | ( | Oscl_Vector< PVMFFormatType, OsclMemAllocator > & | aIncomingAudio,
|  | Oscl_Vector< PVMFFormatType, OsclMemAllocator > & | aIncomingVideo,
|  | Oscl_Vector< PVMFFormatType, OsclMemAllocator > & | aOutGoingAudio,
|  | Oscl_Vector< PVMFFormatType, OsclMemAllocator > & | aOutGoingVideo,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API allows the user to specify the preference order for supported media codecs. If input vector has elements, then only these elements are used in terminal capabilities exchange. Parameters:
  aIncomingAudio | The incoming audio decoder preference order
  aIncomingVideo | The incoming video decoder preference order
  aOutgoingAudio | The outgoing audio encoder preference order
  aOutgoingVideo | The outgoing video decoder preference order
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SetEndSessionTimeout | ( | uint32 | aTimeout,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | Sets the disconnect timeout interval. Parameters:
  aTimeout | The timeout value in seconds
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SetFormatSpecificInfo | ( | PVMFFormatType | aMediaFormat,
|  | const uint8 * | apFormatSpecificInfo,
|  | uint32 | aFormatSpecificInfoLen,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API allows the user to specify the format specific info for supported media encoders. Parameters:
  aMediaFormat | The outgoing media format
  apFormatSpecificInfo | The format specific info
  aFormatSpecificInfoLen | The length of the format specific info in bytes
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SetLogicalChannelBufferingMs | ( | uint32 | aInBufferingMs,
|  | uint32 | aOutBufferingMs,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API allows the user to configure the logical channel buffer sizes for incoming and outgoing logical channels. Parameters:
  aDirection | The direction (Rx or Tx).
  aBufferingMs | The amount of buffering in milliseconds.
  aContextData | Optional opaque data that will be passed back to the user with the command response

virtual PVMFCommandId H324MConfigInterface::SetMaxMuxCcsrlSduSize | ( | int32 | aMaxCcsrlSduSize,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API sets the max ccsrl sdu size Parameters:
  aMaxCcsrlSduSize | The max ccsrl sdu size
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SetMaxMuxPduSize | ( | int32 | aRequestMaxMuxPduSize,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API causes a maxMuxPduSize request to be sent to the remote terminal if set to a valid value (64 - 255). This is done after TCS if the remote terminal supports the maxMuxPduCapability Parameters:
  aRequestMaxMuxPduSize | The max mux pdu size
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SetMaxPduSize | ( | int32 | aMaxPduSize,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API allows the user to limit the size of the outgoing h223 pdus Parameters:
  aMaxPduSize | The max pdu size
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SetMaxSduSize | ( | TPVAdaptationLayer | aLayer,
|  | int32 | aSize,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API allows the user to specify maximum outgoing sdu sizes for each adaptation layer Parameters:
  aLayer | The h223 adaptation layer type
  aSize | The sdu size
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SetMaxSduSizeR | ( | TPVAdaptationLayer | aLayer,
|  | int32 | aSize,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API allows the user to specify maximum incoming sdu sizes for each adaptation layer. This is indicated to the peer via the TCS Parameters:
  aLayer | The h223 adaptation layer type
  aSize | The sdu size
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SetMultiplexLevel | ( | TPVH223Level | aLevel,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API allows the user to specify the starting H223 multiplex level Parameters:
  aLevel | The starting H223 multiplex level. Note that the final level that is neotiated will depend on the starting level of the peer
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual void H324MConfigInterface::SetObserver | ( | H324MConfigObserver * | aObserver | ) | `[pure virtual]`

  | This API allows the user to specify separate observers for the 324m interface. Otherwise, the default observers will be used Parameters:
  aObserver | the observer for command status and for unsolicited informational events

virtual PVMFCommandId H324MConfigInterface::SetTerminalType | ( | uint8 | aTerminalType,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API allows the user to specify the terminal type that is advertized to the peer. This can be used to force the local terminal to be master/slave when communicating with a peer 324m terminal for testing purposes. Parameters:
  aTerminalType | The terminal type
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SetTimerCounter | ( | TPVH324TimerCounter | aTimerCounter,
|  | uint8 | aSeries,
|  | uint32 | aSeriesOffset,
|  | uint32 | aValue,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | Sets an H.324 timer/counter value. This should be called before ConnectL is invoked. The supported timers are: T106 Master Slave Determination (in units of 1s) T101 Capability Exchange (in units of 1s) T103 Uni-directional and Bi-directional Logical Channel Signalling (in units of 1s) T108 Close Logical Channel (in units of 1s) T104 H.223 Multiplex Table (in units of 1s) T109 Mode Request (in units of 1s) T105 Round Trip Delay (in units of 1s) T107 Request Multiplex Entry (in units of 100ms) T401 SRP retransmission (in units of 100ms) The supported counters are: N100 H245 (TCS, MSD) N401 SRP retransmission Parameters:
  aTimerCounter | Identifies whether a timer or counter is being set.
  aSeries | Identifies the H.324 timer/counter series.
  aSeriesOffset | Specifies the offset within a particular series. E.g. aTimerCounter=EH324Timer, aSeries=1, aSeriesOffset=1 indicates T101. aTimerCounter=EH324Timer, aSeries=4, aSeriesOffset=1 indicates T401. aTimerCounter=EH324Counter, aSeries=4, aSeriesOffset=1 indicates T401.
  aValue | The new value for the H.324 timer/counter
  aContextData | Optional opaque data that will be passed back to the user with the command response

virtual PVMFCommandId H324MConfigInterface::SetVendor | ( | uint8 | cc,
|  | uint8 | ext,
|  | uint32 | mc,
|  | const uint8 * | aProduct,
|  | uint16 | aProductLen,
|  | const uint8 * | aVersion,
|  | uint16 | aVersionLen,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | Sets the vendor identification data. This does not cause the stack to issue a vendor identifiation request. Set to NULL to disable sending vendor id. If set to a valid parameter before Connect, it will cause the stack to automatically send it along with the TCS message. Parameters:
  cc | T35 Country code
  ext | T35 Extension
  mc | T35 Manufacturer code
  aProduct | Product number
  aVersion | Version number
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

virtual PVMFCommandId H324MConfigInterface::SetVideoResolutions | ( | TPVDirection | aDirection,
|  | Oscl_Vector< PVMFVideoResolutionRange, OsclMemAllocator > & | aResolutions,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | This API allows the user to specify the supported resolutions for video for transmit and receive. Parameters:
  aDirection | The direction (Tx/Rx) for which the capability is specified.
  aResolutions | An array of resolutions.
  aContextData | Optional opaque data that will be passed back to the user with the command response

virtual PVMFCommandId H324MConfigInterface::SetWnsrp | ( | const bool | aEnableWnsrp,
|  | OsclAny * | aContextData = NULL
| ) | `[pure virtual]`

  | Causes the pv2way to send the specified user input to the remote terminal using control channel. Parameters:
  aEnableWnsrp | Boolean whether to enable Wnsrp or not
  aContextData | Optional opaque data that will be passed back to the user with the command response
Returns: A unique command id for asynchronous completion

The documentation for this class was generated from the following file:

- tsc_h324m_config_interface.h